首页 技术文章 后端开发 php7 提示500错误怎么解决
正文 评论

php7 提示500错误怎么解决

php7提示500错误的解决办法:1、找到Visual Studio2015和2017以及2019三合一的安装包;2、根据自己系统的版本选择,并下载安装即可。

php7 提示500错误怎么解决

本文操作环境:windows7系统、PHP7.4版、DELL G3电脑

php7 提示500错误怎么解决?

早期版本升级PHP 7.4.5 之后出现500错误的原因和解决办法

PHP 现在已经更新到 7.4 以上版本了,然后如果你是比较老的 PHP 版本升级到 PHP 7.4 以上的话,会出现 500 错误。如果是文中的错误的话,解决方法非常简单。

下文是本人升级过程中遇到的问题和解决的办法:

刚去看了下PHP的官网,突然发现PHP已经更新到 PHP 7.4.5(最新已经是 7.4.10 了)了,于是就下载下来准备更新一下,设置好PHP.ini文件之后,直接就在生产环境里换上了(好吧,因为是个人网站,无所谓,如果是重大项目的话,还是测试好再更新吧)。

结果打开PHP页面,提示500错误。

然后我查看详细错误显示的是:

php-cgi.exe - FastCGI 进程意外退出

我用命令行,在PHP目录运行 php -v,提示:

PHP Warning: ‘vcruntime140.dll’ 14.0 is not compatible with this PHP build linked with 14.16 in Unknown on line 0

因为PHP需要 VC++ 的支持,可是之前的PHP版本能用啊。然后才发现PHP官网上写明了,PHP 7.4 (包括PHP7.4.5)是使用 Visual Studio 2019 建立的。也就是使用的是VC16,而之前的版本是VC15,自然就不能用了。

网上找到最新的 Visual Studio 2015、2017 和 2019 三合一的安装包:

https://support.microsoft.com/zh-cn/help/2977003/the-latest-supported-visual-c-downloads

根据自己系统的版本选择,下载安装。其中x86是32位的,x64是64位的。

php7 提示500错误怎么解决

问题解决了。

推荐学习:《PHP视频教程》

以上就是php7 提示500错误怎么解决的详细内容,更多请关注主题君其它相关文章!

-=||=-收藏赞 (0)
更多主题
单栏极简文艺WordPress博客主题:Diaspora主题
¥ 0 关注:20,005
详情
简约黑白WordPress个人博客主题:Personal主题
¥ 0 关注:19,966
详情
v1.0.0
小程序收录免费WordPress主题:XCX主题
¥ 0 关注:19,574
详情
v1.0.0
一款简约单栏的免费WordPress博客主题:itheme主题
¥ 0 关注:18,099
详情
功能丰富切轻量的WordPress虚拟资源主题:Rizhuti主题
¥ 599 关注:17,990
详情
大气优雅免费WordPress博客主题:HONEY主题
¥ 0 关注:14,839
详情
回复
暂无评论

不要再留垃圾评论了,主题君整理资源不容易,留几句鼓励的话吧。